Bug 885997 - cannot distinguish keyboard layouts from ibus engines in Input Sources
cannot distinguish keyboard layouts from ibus engines in Input Sources
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 04:34 EST by lnie
Modified: 2015-06-29 07:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:42:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lnie 2012-12-11 04:34:37 EST
Description of problem:

 Make a default install, after reboot,I try to add"Chinese" to the "Input Sources"
of "Region&Language",it seems to be added succesfully,but I am unable to type "Chinese".Actually,Japanese is the same.
Version-Release number of selected component (if applicable):
f18 Final TC1 X86_64

How reproducible:

100%
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 fujiwara 2012-12-11 22:37:28 EST
Did you add libpinyin or pinyin with "gnome-control-center region" command?
Comment 2 lnie 2012-12-12 01:09:21 EST
yesterday,I started the"Region&Language" by click the coin of"Region&Language".Today I started it by the command"gnome-control-center region",and try to add"Chinese"into the "input source".this time it seems even worse than the first way:Chinese is unable to be added to the list(the first way can added Chinese to the list).
What's more,there is warning message say:failed to commit changes to the dconf
Comment 3 fujiwara 2012-12-12 05:26:15 EST
I think you use gnome-shell.

Which locale do you use?

Probably I guess ibus-daemon is not running until you run gnome-control-center.

Does your problem is that the first launching gnome-control-center only?
If you quit gnome-control-center and run gnome-control-center again with an interval, The Chinese is shown?

And

> Did you add libpinyin or pinyin with "gnome-control-center region" command?
Comment 4 lnie 2012-12-12 21:23:04 EST
Maybe I haven't displayed it clearly.My problem is not launching gnome-control-center.The problem is that Chinese can not been added to the"input source"list after gnome-control-center is launched.
What's more ,when I start the"Region&Language"(the same as gnome-control-center) by clicking the icon ,I am able to add Chinese to the"input source"list.But I can not type Chinese even though I choose the langage mode on the top-right corner from "en"to "zh".
Comment 5 fujiwara 2012-12-12 23:24:47 EST
(In reply to comment #4)
> Maybe I haven't displayed it clearly.My problem is not launching
> gnome-control-center.The problem is that Chinese can not been added to
> the"input source"list after gnome-control-center is launched.
> What's more ,when I start the"Region&Language"(the same as
> gnome-control-center) by clicking the icon ,I am able to add Chinese to
> the"input source"list.But I can not type Chinese even though I choose the
> langage mode on the top-right corner from "en"to "zh".

I don't ask those and I cannot reproduce your problem.
Please answer my question.

> I think you use gnome-shell.
> 
> Which locale do you use?
> 
> Probably I guess ibus-daemon is not running until you run
> gnome-control-center.
> 
> Does your problem is that the first launching gnome-control-center only?
> If you quit gnome-control-center and run gnome-control-center again with an
> interval, The Chinese is shown?
> 
> And
> 
> > Did you add libpinyin or pinyin with "gnome-control-center region" command?
Comment 6 lnie 2012-12-12 23:53:29 EST
Er,I have tried it again just now,I am able to add"Chinese(Intelligent pinyin)"to the list,and can type Chinese after I change "zh"to"拼"。Yesterday,I just tried to add"Chinese"to the list,and it seems to be added successfully,but can not type.
It is really confused.Maybe, 1)Chinese should be deleted  from the list,as it dose not stand for any input method(Chinse(Intelligent pinyin)stands for the "In telligent pinyin"input method) ;2)"zh"should not appear on the top-right corner.
Comment 7 Mathieu Bridon 2013-03-10 10:14:30 EDT
(In reply to comment #6)
> Er,I have tried it again just now,I am able to add"Chinese(Intelligent
> pinyin)"to the list,and can type Chinese after I change
> "zh"to"拼"。Yesterday,I just tried to add"Chinese"to the list,and it seems to
> be added successfully,but can not type.
> It is really confused.Maybe, 1)Chinese should be deleted  from the list,as
> it dose not stand for any input method(Chinse(Intelligent pinyin)stands for
> the "In telligent pinyin"input method)

I think what confused you is that the « Chinese » entry which you selected is afaik not a Chinese input method: it is a « Chinese keyboard layout ».

Except that there is no such thing as a « Chinese keyboard layout », this one is merely a US layout branded as « Chinese ».

I absolutely agree that it should be removed, or at least hidden, as it is incredibly confusing, and completely useless.
Comment 8 Jens Petersen 2013-04-15 03:05:20 EDT
Right - at least in gnome-3.8 input engines are now listed with an icon
next to them to distinguish them from keyboard layouts.  We also talked
about moving the layout preview and engine config buttons into the
Input Sources list.


I don't know what keyboard layouts gnome is filtering currently
but I agree they really need to be reviewed and filtered more.

eg "Japanese (PC98xx series)" could probably be hidden.

The problem is this really requires review by experienced native users
for each country so it is hard to get it all done - at the
same time legacy layouts can't really be removed from X since
a few people might still have those old keyboards in use
but perhaps they could be labelled old/deprecated/out-of-production/
obscure(?), etc in xkeyboard-config.
Comment 9 Fedora End Of Life 2013-12-21 04:50:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Mathieu Bridon 2013-12-22 03:45:58 EST
This still applies in Fedora 20.
Comment 11 fujiwara 2013-12-24 02:03:09 EST
OK, now I understand the problem.
I think the description is fixed in f20 because a new icon is listed for ibus engines on add table UI.
If 'cn' layout needs to be removed in gnome-control-center, it would be a bug in gnome-control-center.
Comment 13 Fedora End Of Life 2015-05-29 04:49:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 07:42:43 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.